#Start function
    scoreboard players set @s[scores={Countdown=0}] Countdown 400
#Round start
    #Teleport players
        execute @s[scores={Countdown=400}] ~~~ tp @p[tag=P1] -12 24 -23 
        execute @s[scores={Countdown=400}] ~~~ tp @p[tag=P2] -12 20 -23 
        execute @s[scores={Countdown=400}] ~~~ tp @p[tag=P3] -12 16 -23 
        execute @s[scores={Countdown=400}] ~~~ tp @p[tag=P4] -12 12 -23 
        execute @s[scores={Countdown=400}] ~~~ tp @p[tag=P5] -12 8 -23 
        execute @s[scores={Countdown=400}] ~~~ tp @p[tag=P6] -12 4 -23 
        execute @s[scores={Countdown=400}] ~~~ tp @p[tag=P7] -12 0 -23 
        execute @s[scores={Countdown=400}] ~~~ tp @p[tag=P8] -12 -4 -23 
        execute @s[scores={Countdown=400}] ~~~ kill @e[name=kit]
    #Structures
        #Clear arena 
                setblock 34 24 -35 air 
                execute @s[tag=Host,scores={Countdown=350}] ~~~ fill -16 24 -18 26 40 29 glass 0 replace water
                execute @s[tag=Host,scores={Countdown=340}] ~~~ structure load Blank3.map -16 23 -18
        #Place arena
            #Arena maps
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=0}] ~~~ structure load Castle.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=1}] ~~~ structure load Gardens.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=2}] ~~~ structure load Indoors.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=3}] ~~~ structure load Ruins.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=4}] ~~~ structure load Town.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=5}] ~~~ structure load Bridge.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=6}] ~~~ structure load Docks.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=7}] ~~~ structure load Mine.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=8}] ~~~ structure load Dungeon.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=9}] ~~~ structure load Cave.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=10}] ~~~ structure load Wood.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=11}] ~~~ structure load Court.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=12}] ~~~ structure load Downtown.map -16 23 -18
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,Arena=13}] ~~~ structure load River.map -16 23 -18
            #Map rotation
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,MapRotation=0}] ~~~ scoreboard players add @s Arena 1
                execute @s[tag=Host,tag=Arena,scores={Countdown=250,MapRotation=1}] ~~~ scoreboard players random @s Arena 0 13
                execute @s[tag=Host,tag=Arena,scores={Countdown=250}] ~~~ scoreboard players set @a[scores={Arena=14}] Arena 0
            #Zombie maps
                execute @s[tag=Host,tag=Zombie,scores={Countdown=250,Arena=0}] ~~~ structure load Outpost.Zombie.map -16 23 -18
                execute @s[tag=Host,tag=Zombie,scores={Countdown=250,Arena=1}] ~~~ structure load Forest.Zombie.map -16 23 -18
                execute @s[tag=Host,tag=Zombie,scores={Countdown=250,Arena=2}] ~~~ structure load Town.Zombie.map -16 23 -18

            #Spawnables
                execute @s[tag=Host,tag=Zombie,scores={Countdown=150,Arena=0}] ~~~ summon zombie:upgrade_station 22 24 17
                execute @s[tag=Host,tag=Zombie,scores={Countdown=150,Arena=1}] ~~~ summon zombie:enchantment_table 21 26 -1
                execute @s[tag=Host,tag=Zombie,scores={Countdown=150,Arena=2}] ~~~ summon zombie:upgrade_station 30 25 -13
                execute @s[tag=Host,tag=Zombie,scores={Countdown=150,Arena=2}] ~~~ summon zombie:enchantment_table_city 11 26 -9
                execute @s[tag=Host,tag=Zombie,scores={Countdown=150,Arena=2}] ~~~ summon zombie:brewing_stand_city 7 26 35
    #Give effects
        #Basic
            execute @s[scores={Countdown=140}] ~~~ effect @s clear
            execute @s[scores={Countdown=130}] ~~~ effect @s slowness 4 255 true
            execute @s[scores={Countdown=130}] ~~~ effect @s blindness 4 255 true
        #Health and absorption
            execute @s[tag=Health,tag=HII,scores={Countdown=130}] ~~~ effect @s health_boost 10000 0 true
            execute @s[tag=Health,tag=HIII,scores={Countdown=130}] ~~~ effect @s health_boost 10000 1 true
            execute @s[tag=Health,tag=HIV,scores={Countdown=130}] ~~~ effect @s health_boost 10000 2 true
            
            execute @s[tag=Health,tag=Pink,scores={Countdown=130}] ~~~ effect @s absorption 15 0 true
            
            execute @s[tag=Absorption,tag=HI,scores={Countdown=130}] ~~~ effect @s absorption 100 0 true
            execute @s[tag=Absorption,tag=HII,scores={Countdown=130}] ~~~ effect @s absorption 100 1 true
            execute @s[tag=Absorption,tag=HIII,tag=!Dandelion,scores={Countdown=130}] ~~~ effect @s absorption 100 1 true
            execute @s[tag=Absorption,tag=HIII,tag=!Dandelion,scores={Countdown=130}] ~~~ effect @s health_boost 10000 0 true
            execute @s[tag=Absorption,tag=HIV,tag=!Dandelion,scores={Countdown=130}] ~~~ effect @s absorption 100 2 true
            execute @s[tag=Absorption,tag=HIV,tag=!Dandelion,scores={Countdown=130}] ~~~ effect @s health_boost 10000 1 true
            
            execute @s[tag=Absorption,tag=HIII,tag=Dandelion,scores={Countdown=130}] ~~~ effect @s absorption 200 0 true
            execute @s[tag=Absorption,tag=HIII,tag=Dandelion,scores={Countdown=130}] ~~~ effect @s health_boost 10000 1 true
            execute @s[tag=Absorption,tag=HIV,tag=Dandelion,scores={Countdown=130}] ~~~ effect @s absorption 200 1 true
            execute @s[tag=Absorption,tag=HIV,tag=Dandelion,scores={Countdown=130}] ~~~ effect @s health_boost 10000 2 true
            
            execute @s[scores={Countdown=50}] ~~~ effect @s instant_health 1 255 true
        #Battle
            execute @s[scores={Countdown=130}] ~~~ effect @s[tag=Battle,tag=Red] regeneration 10000 0 true
            execute @s[scores={Countdown=130}] ~~~ effect @s[tag=Battle,tag=Blue] health_boost 10000 1 true
            execute @s[scores={Countdown=130}] ~~~ effect @s[tag=Battle,tag=Orange] health_boost 10000 0 true
            execute @s[scores={Countdown=130}] ~~~ effect @s[tag=Battle,tag=Orange] absorption 10000 0 true


    #Teleport players
        execute @s[scores={Countdown=135}] ~~~ tag @s remove Spectator
        execute @s[scores={Countdown=130}] ~~~ gamemode d
        execute @e[type=villager,name=P1spawn] ~~~ tp @p[tag=P1,tag=!Dead_Lost,scores={Countdown=130}] ~~1~
        execute @e[type=villager,name=P2spawn] ~~~ tp @p[tag=P2,tag=!Dead_Lost,scores={Countdown=130}] ~~1~
        execute @e[type=villager,name=P3spawn] ~~~ tp @p[tag=P3,tag=!Dead_Lost,scores={Countdown=130}] ~~1~
        execute @e[type=villager,name=P4spawn] ~~~ tp @p[tag=P4,tag=!Dead_Lost,scores={Countdown=130}] ~~1~
        execute @e[type=villager,name=P5spawn] ~~~ tp @p[tag=P5,tag=!Dead_Lost,scores={Countdown=130}] ~~1~
        execute @e[type=villager,name=P6spawn] ~~~ tp @p[tag=P6,tag=!Dead_Lost,scores={Countdown=130}] ~~1~
        execute @e[type=villager,name=P7spawn] ~~~ tp @p[tag=P7,tag=!Dead_Lost,scores={Countdown=130}] ~~1~
        execute @e[type=villager,name=P8spawn] ~~~ tp @p[tag=P8,tag=!Dead_Lost,scores={Countdown=130}] ~~1~
        execute @e[type=armor_stand,name=PlayerSpawn] ~~~ tp @a[tag=Zombie,scores={Countdown=130}] ~~3~
    #Killings
        execute @s[scores={Countdown=120}] ~~~ kill @e[tag=Test]
        execute @s[scores={Countdown=120}] ~~~ kill @e[type=item]
        execute @s[scores={Countdown=120}] ~~~ kill @e[type=arrow]
        execute @s[scores={Countdown=120}] ~~~ kill @e[type=villager]

    #Finishing up
        execute @s[tag=Maroon,scores={Countdown=130}] ~~~ structure load Horse ~~~
        execute @s[tag=Maroon,scores={Countdown=129}] ~~~ ride @s start_riding @e[type=horse,r=3] teleport_rider
        execute @s[scores={Countdown=130}] ~~~ effect @a[tag=Horse] slowness 4 255 true
        execute @a[tag=Berry,scores={Countdown=130}] ~~~ clear @s arrow 
        execute @a[tag=Berry,scores={Countdown=129}] ~~~ give @s arrow 3 43
        execute @s[scores={Countdown=50}] ~~~ scoreboard players set @a[tag=Wither] Wither 0


        #Countdown
        title @s[scores={Countdown=130}] title Get Ready...
        title @s[scores={Countdown=110}] title 3
        playsound random.orb @s[scores={Countdown=110}] ~~~ 1 1  
        title @s[scores={Countdown=90}] title 2
        playsound random.orb @s[scores={Countdown=90}] ~~~ 1 1  
        title @s[scores={Countdown=70}] title 1
        playsound random.orb @s[scores={Countdown=70}] ~~~ 1 1  
        title @s[scores={Countdown=50}] title GO!
        playsound block.bell.hit @s[scores={Countdown=50}] ~~~ 1 1  
        execute @s[scores={Countdown=50},tag=!Zombie] ~~~ gamerule pvp true
    #Zombie Countdown
        execute @s[scores={Countdown=50},tag=Zombie] ~~~ scoreboard objectives add Round dummy
        execute @s[scores={Countdown=50},tag=Zombie] ~~~ scoreboard objectives add RoundReset dummy
        execute @s[scores={Countdown=50},tag=Zombie,tag=P1] ~~~ scoreboard players set Real Round 0
        execute @s[scores={Countdown=49},tag=Zombie,tag=P1] ~~~ scoreboard players set Kills Round 0
        execute @s[scores={Countdown=50},tag=Zombie,tag=P1] ~~~ scoreboard players set @s RoundReset 0
        execute @s[scores={Countdown=50},tag=Zombie,tag=P1] ~~~ tag @s add RoundStart
        execute @s[scores={Countdown=400,Arena=0},tag=Zombie,tag=Host] ~~~ time set night
        execute @s[scores={Countdown=400,Arena=0},tag=Zombie,tag=Host] ~~~ weather rain
        execute @s[scores={Countdown=400,Arena=1},tag=Zombie,tag=Host] ~~~ time set midnight
        execute @s[scores={Countdown=400,Arena=1},tag=Zombie,tag=Host] ~~~ weather clear
        execute @s[scores={Countdown=400,Arena=2},tag=Zombie,tag=Host] ~~~ time set night
        execute @s[scores={Countdown=400,Arena=2},tag=Zombie,tag=Host] ~~~ weather clear